use foxchat::s2s::Dispatch;
use rsa::{RsaPublicKey, RsaPrivateKey};
use sqlx::{Pool, Postgres};
use tokio::sync::broadcast::Sender;

use crate::config::Config;

pub struct AppState {
    pub pool: Pool<Postgres>,
    pub config: Config,
    pub public_key: RsaPublicKey,
    pub private_key: RsaPrivateKey,
    pub broadcast: Sender<Dispatch>,
}
